from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
pc.delete_collection("example-collection")
PINECONE_API_KEY="YOUR_API_KEY"
curl -X DELETE "https://api.pinecone.io/collections/example-collection" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-01.alpha"
Backups
Delete a collection
Delete an existing collection. Serverless indexes do not support collections.
DELETE
/
collections
/
{collection_name}
from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
pc.delete_collection("example-collection")
PINECONE_API_KEY="YOUR_API_KEY"
curl -X DELETE "https://api.pinecone.io/collections/example-collection" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-01.alpha"
from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
pc.delete_collection("example-collection")
PINECONE_API_KEY="YOUR_API_KEY"
curl -X DELETE "https://api.pinecone.io/collections/example-collection" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-01.alpha"
Authorizations
Headers
Required date-based version header
Path Parameters
The name of the collection.
Response
The collection has been successfully deleted.
Was this page helpful?
⌘I